Bug 1349917 (CVE-2016-5828) - CVE-2016-5828 Kernel: powerpc: tm: crash via exec system call on PPC
Summary: CVE-2016-5828 Kernel: powerpc: tm: crash via exec system call on PPC
Status: NEW
Alias: CVE-2016-5828
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20160624,repor...
Keywords: Security
Depends On: 1349238 1349918 1349919 1361108 1361109
Blocks: 1349923
TreeView+ depends on / blocked
 
Reported: 2016-06-24 14:29 UTC by Adam Mariš
Modified: 2019-04-14 12:46 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability in the handling of Transactional Memory on powerpc systems was found. An unprivileged local user can crash the kernel by starting a transaction, suspending it, and then calling any of the exec() class system calls.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2574 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2016-11-03 12:06:10 UTC

Description Adam Mariš 2016-06-24 14:29:51 UTC
A vulnerability in the handling of Transactional Memory on powerpc systems was found. An unprivileged local user can crash the kernel by starting a transaction, suspending it, and then calling any of the exec() class system calls.

Patch:

https://patchwork.ozlabs.org/patch/636776/

Test case:

https://patchwork.ozlabs.org/patch/636774/

CVE request:

http://seclists.org/oss-sec/2016/q2/595

Comment 1 Adam Mariš 2016-06-24 14:31:01 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1349919]

Comment 2 Adam Mariš 2016-06-24 14:31:27 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1349918]

Comment 5 Prasad J Pandit 2016-07-28 11:06:48 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1361109]

Comment 7 Prasad J Pandit 2016-07-28 11:35:04 UTC
Statement:

This issue does not affect the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the version of the kernel packages as shipped with
Red Hat Enterprise Linux 7. Future kernel updates for Red Hat Enterprise Linux 7 may address this issue.

Comment 9 Josh Boyer 2016-07-28 13:07:42 UTC
This was fixed with commit 5b7ef8eff33ff8b3d87071a5fa463da15ec8a0c0 in 4.6.5.  F23 and F24 were rebased yesterday and contain the fix.  F25 and rawhide have the original upstream commit 8e96a87c5431c256feb65bcfc5aec92d9f7839b6 included already.

Comment 11 errata-xmlrpc 2016-11-03 16:45:20 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html

Comment 12 errata-xmlrpc 2016-11-03 21:35:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:2574 https://rhn.redhat.com/errata/RHSA-2016-2574.html


Note You need to log in before you can comment on or make changes to this bug.